# $Revision: 1.23 $, $Date: 2008/07/27 22:38:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	SharedCache
Summary:	IPC::SharedCache - manage a cache in SysV IPC shared memory
Summary(pl.UTF-8):	IPC::SharedCache - zarządzanie pamięcią podręczną w pamięci dzielonej SysV
Name:		perl-IPC-SharedCache
Version:	1.3
Release:	7
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d5d159a6b41d42918b7c1fceafb43ae
BuildRequires:	perl-Carp-Assert
BuildRequires:	perl-IPC-ShareLite >= 0.06
BuildRequires:	perl-IPC-SysV
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a shared memory cache accessed as a tied hash.

%description -l pl.UTF-8
Ten moduł udostępnia cache pamięci dzielonej, dostępny jako
dowiązany hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ANNOUNCE
%{perl_vendorlib}/IPC/SharedCache.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-SharedCache.spec,v $
Revision 1.23  2008/07/27 22:38:40  arekm
- release 7

Revision 1.22  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:27  paladine
- formatting

Revision 1.19  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.17  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.16  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.15  2004/04/12 19:53:38  qboosh
- eeh, hack won't work with noarch - removed

Revision 1.14  2004/04/12 19:49:38  qboosh
- real summaries, added without_tests, do so on ac-i386; release 4

Revision 1.13  2004/01/22 11:18:59  averne
- fixed perl-Carp BR

Revision 1.12  2004/01/22 11:02:14  averne
- fixed BR's

Revision 1.11  2003/08/26 17:59:45  blues
- release 3 - merged changes from RA-branch

Revision 1.10  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:34:02  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/28 16:29:59  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/15 07:42:32  depesz
- spec by Radosław Zieliński
